Autor Wątek: Błąd połączenia z bazą ProstejPaczki  (Przeczytany 645 razy)

Tomek

  • Administrator
  • Full Member
  • *****
  • Wiadomości: 247
<ze zgłoszenia mailowego>

Podczas konfiguracji ProstejPaczki w wersji wielostanowiskowej otrzymuję następujący błąd połączenia z bazą:

unsupported on-disk structure for file C:\BAZA_PP\PP_DB.FDB; found 11.2, support 12.2
IProvider::attachDatabase failed when loading mapping cache

Jak to naprawić?

Tomek

  • Administrator
  • Full Member
  • *****
  • Wiadomości: 247
Najczęściej błąd ten spowodowany jest niewłaściwą wersją serwera Firebird. ProstaPaczka wymaga Firebird w wersji 2.5.x - zainstalowanie wyższej wersji może wywoływać błędy przy próbie nawiązania połączenia z bazą danych. Należy odinstalować błędną wersję i ponownie zainstalować Firebird w wersji 2.5.x.

Prawidłową wersję Firebird (2.5.x) można pobrać tu: https://firebirdsql.org/en/firebird-2-5/
Instrukcja przeprowadzenia konfiguracji sieciowej / wielostanowiskowej: https://instrukcja.prostapaczka.pl/praca-sieciowa.html